メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
spends
/
csv
/
export
Export spending data as CSV
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/spends/csv/export \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/spends/csv/export"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/spends/csv/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "requestId": "123e4567-e89b-12d3-a456-426614174000"
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

startDate
string
:

"2022-01-01"

endDate
string
:

"2022-03-31"

serviceNameOrDescription
string
:

"Zoom"

serviceUniqueNames
string[]
source
string
:

"123"

showUnmatched
boolean
:

false

contractId
number
:

1

maxBillingStartDate
string
:

"2022-01-01"

minBillingEndDate
string
:

"2022-03-31"

spendIds
string[]
sortBy
string
:

"amount"

sortOrder
string
:

"desc"

limit
number
:

50

cursor
string
serviceIds
string[]

authz

レスポンス

200 - application/json

Returns requestId for tracking export progress

requestId
string
必須
read-only
:

"123e4567-e89b-12d3-a456-426614174000"

最終更新日 2026年7月10日